> ## Documentation Index
> Fetch the complete documentation index at: https://docs.donnajames.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch all Sessions

> Fetch the list of sessions for a chatbot specified by chatbot uuid

### Path

**uuid** `string` *required*

### Response

Session list

**Session properties**

**created\_at** `string`

**modified\_at** `string`

**uuid** `string`

**meta** `meta Object`

Session meta properties

**properties**

**user** `user Object`

Exists when lead form was submitted by user

**auth\_data** `auth_data Object`

Exists when user completes "User Identity Verification" and "Save Data on Success" feature is enabled

```bash Curl
curl --location --request GET 'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/sessions' \
--header 'Authorization: Bearer <token>'
```

```py Python
import requests

uuid = '<chatbot-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/sessions'
headers = {
    'Authorization': 'Bearer <token>'
}

response = requests.get(url, headers=headers)

if response.status_code == 200:
    print("Request successful!")
    print(response.json())
else:
    print("Request failed with status code:", response.status_code)
    print(response.text)
```

```ts JavaScript
const axios = require('axios');

const uuid = '<chatbot-uuid>'
const url = `https://app.gpt-trainer.com/api/v1/chatbot/${uuid}/sessions`;
const headers = {
    'Authorization': 'Bearer <token>'
};

axios.get(url, { headers })
    .then(response => {
        console.log('Request successful!');
        console.log(response.data);
    })
    .catch(error => {
        console.error('Request failed:', error);
    });
```

```json Response
[
    {
        "created_at": "string",
        "modified_at": "string",
        "uuid": "string"
    }
]

```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.